_Eina_Accessor Struct Reference
Eina » Data Types » Content Access » Accessor Functions

Structure to provide random access to data structures. More...

`#include <eina_accessor.h>`

## Data Fields

int | version
| Version of the Accessor API.
Eina_Accessor_Get_At_Callback | get_at
| Callback called when a data element is requested.
Eina_Accessor_Get_Container_Callback | get_container
| Callback called when the container is requested.
Eina_Accessor_Free_Callback | free
| Callback called when the container is freed.
Eina_Accessor_Lock_Callback | lock
| Callback called when the container is locked.
Eina_Accessor_Lock_Callback | unlock
| Callback called when the container is unlocked.
EINA_MAGIC Eina_Accessor_Clone_Callback | clone
| Callback called when the container is to be cloned.

## Detailed Description

Structure to provide random access to data structures.

Note
  When creating an accessor remember to set the type using EINA_MAGIC_SET

## Field Documentation

## clone

EINA_MAGIC Eina_Accessor_Clone_Callback _Eina_Accessor::clone

Callback called when the container is to be cloned.

Since
  1.10

Referenced by eina_accessor_clone().